{: test that string compare causes a compilation error
   if the rhs is not a string}

program e1086( output );

type
   str =  array[1..10] of char;

var
   s : str;
   b : boolean;
begin { e1086 }

   b := '1234' = s;        {!!! s is not a string}
end. { e1086 }

